## IdeLspSymbolResolver IdeLspSymbolResolver |

## Functions

IdeLspClient * | ide_lsp_symbol_resolver_get_client ()
void | ide_lsp_symbol_resolver_set_client ()

## Properties

IdeLspClient * | client | Read / Write

## Types and Values

#define | IDE_TYPE_LSP_SYMBOL_RESOLVER
struct | IdeLspSymbolResolverClass
| IdeLspSymbolResolver

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeLspSymbolResolver

## Implemented Interfaces

IdeLspSymbolResolver implements IdeSymbolResolver.

## Description

## Functions

### ide_lsp_symbol_resolver_get_client ()

    IdeLspClient *
    ide_lsp_symbol_resolver_get_client (IdeLspSymbolResolver *self);

Gets the client used by the symbol resolver.

#### Returns

An IdeLspClient or `NULL`.

[transfer none][nullable]

### ide_lsp_symbol_resolver_set_client ()

    void
    ide_lsp_symbol_resolver_set_client (IdeLspSymbolResolver *self,
                                        IdeLspClient *client);

## Types and Values

### IDE_TYPE_LSP_SYMBOL_RESOLVER

    #define IDE_TYPE_LSP_SYMBOL_RESOLVER (ide_lsp_symbol_resolver_get_type())

### struct IdeLspSymbolResolverClass

    struct IdeLspSymbolResolverClass {
      IdeObjectClass parent_class;
    };

### IdeLspSymbolResolver

    typedef struct _IdeLspSymbolResolver IdeLspSymbolResolver;

## Property Details

### The `“client”` property

      “client”                   IdeLspClient *

The Language Server client.

Owner: IdeLspSymbolResolver

Flags: Read / Write